Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - openvpn-update-resolv-conf

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: openvpn-update-resolv-conf r24.994574f-2

Git Clone URL: https://aur-dev.archlinux.org/openvpn-update-resolv-conf.git (read-only)
Package Base: openvpn-update-resolv-conf
Description: OpenVPN Update resolvconf
Upstream URL: https://github.com/masterkorp/openvpn-update-resolv-conf
Licenses: GPL
Conflicts: openvpn-update-resolv-conf-git
Submitter: mtreinish
Maintainer: mtreinish
Last Packager: mtreinish
Votes: 20
Popularity: 0.889010
First Submitted: 2015-09-01 19:23
Last Updated: 2016-04-21 17:02

Latest Comments

1 2 Next › Last »

lothar_m commented on 2017-01-08 15:51

I confirm archerie findings. As is, this PKGBUILD requires manual chmod.

archerie commented on 2016-09-17 19:48

This packages creates /etc/openvpn/update-resolv-conf but on my system that file has permissions created as 0655. It should be 0755 so that openvpn doesn't fail with this error:

Options error: --up script fails with '/etc/openvpn/update-resolv-conf': Permission denied

Skullcrasher commented on 2016-04-26 07:33

After updating the script did not update resolv.conf anymore. A possible fix is described here https://github.com/masterkorp/openvpn-update-resolv-conf/issues/15

mtreinish commented on 2016-04-21 17:04

@flamusdiu I've updated the PKGBUILD for both packages now to properly mark the conflict and the provides relationship between them.

flamusdiu commented on 2016-04-21 16:49

@mtereinish: You need to add 'provides' and 'conflicts' for both this and openvpn-update-resolv-conf-git packages. It would allow people to use either package to satisfy the requirement.

mtreinish commented on 2016-04-15 23:48

Sorry for the delay, I was on vacation followed by some work travel and didn't get a chance to update it prior today. I've switched this package to be a fixed version per the pacaur bug and created a separate vcs package openvpn-update-resolv-conf-git which pulls it from git. I'll try to be more prompt on updating this package when someone marks it out-of-date.

@Mertcan that's an issue with the script being packaged here. I suggest you file a bug or a pull request to the upstream git repo: https://github.com/masterkorp/openvpn-update-resolv-conf we can update this package once a fix has been applied.

Mertcan commented on 2016-04-11 19:05

###which: no resolvconf in ((null))###
################################

RESOLVCONF=$(which resolvconf)

Change

RESOLVCONF=$(type -p resolvconf) or find and replace resolvconf location

jugs commented on 2016-04-03 19:44

I've emailed the package maintainer, hopefully he replies otherwise we might have to wait for package orphan to take it over and get it working again...

archerie commented on 2016-02-19 09:34

This package can no longer be installed using pacaur AUR helper. Could the maintainer please see this comment from the pacaur creator https://github.com/rmarquis/pacaur/issues/426#issuecomment-185283930 about a solution to fix it? The package should be renamed to a '-git' package according to https://wiki.archlinux.org/index.php/VCS_package_guidelines.

Ptolom commented on 2016-01-28 22:03

The resolvconf issue is fixed now.